Bug 1026885 - Default DC & Cluster has fixed UUIDs
Default DC & Cluster has fixed UUIDs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.4.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.4.0
Assigned To: Eli Mesika
Jiri Belka
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 10:18 EST by Eli Mesika
Modified: 2017-07-06 08:50 EDT (History)
8 users (show)

See Also:
Fixed In Version: av1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21040 None None None Never
oVirt gerrit 23853 None None None Never
oVirt gerrit 24087 None None None Never

  None (edit)
Description Eli Mesika 2013-11-05 10:18:34 EST
Description of problem:

Customer is installing several RHEV environment.
This customer also have integrated management for their heterogenious virtual environment.

When the integrated management program gathering information through the rhev REST api.
They found that every RHEVM installations of The 'Default' Datacenter uuid and 'Default' Cluster uuid are the same.
These were generated uniq uuids on previous virsions implementations such as RHEV 3.0 or 3.1.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install RHEVM twice 
2. Check the UUID given for default DC and default Cluster
3.

Actual results:
default DC and default Cluster have same UUID on diffrent installations 

Expected results:

default DC and default Cluster gave diffrent UUID on diffrent installations 

Additional info:
Comment 1 Eli Mesika 2013-11-16 16:20:26 EST
fixed in commit: 02bca05
Comment 2 Sandro Bonazzola 2014-01-14 03:42:37 EST
ovirt 3.4.0 alpha has been released
Comment 3 Jiri Belka 2014-01-27 04:24:04 EST
ovirt-engine-3.4.0-0.2.master.20140112020439.git9ad8529.el6.noarch

i/we always see '00000002-0002-0002-0002-000000000002' as Defaults' DC ID.
Comment 4 Jiri Belka 2014-02-17 10:30:21 EST
ok, av1.

twice ran engine-setup, twice got different uuid.

00000002-0002-0002-0002-0000000003a9

00000002-0002-0002-0002-000000000247
Comment 5 Itamar Heim 2014-06-12 10:08:20 EDT
Closing as part of 3.4.0

Note You need to log in before you can comment on or make changes to this bug.